Skip to main content
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
starters
Create starter
curl --request POST \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/starters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Pricing",
  "message": "What plans do you offer?",
  "type": "QUESTION"
}
'
{
  "ok": true,
  "data": {
    "starter": {
      "id": "starter-id",
      "name": "Example starter",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json
title
string
required
Minimum string length: 1
message
string
description
string
type
enum<string>
Available options:
QUESTION,
LINK
isEscalationPrompt
boolean

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required